## gs-plugin-job-refresh-metadata

gs-plugin-job-refresh-metadata — A plugin job to refresh metadata

## Functions

GsPluginJob * | gs_plugin_job_refresh_metadata_new ()

## Types and Values

#define | GS_TYPE_PLUGIN_JOB_REFRESH_METADATA
| GsPluginJobRefreshMetadata

## Description

GsPluginJobRefreshMetadata is a GsPluginJob representing an operation to refresh metadata inside plugins and about apps.

For example, the metadata could be the list of apps available, or the list of updates, or a new set of popular apps to highlight.

The maximum cache age should be set using “cache-age-secs”. If this is not a low value, this job is not expected to do much work. Set it to zero to force all caches to be refreshed.

This class is a wrapper around `GsPluginClass.refresh_metadata_async()`, calling it for all loaded plugins. In addition it will refresh ODRS data on the GsOdrsProvider set on the GsPluginLoader.

Once the refresh is complete, signals may be asynchronously emitted on plugins, apps and the GsPluginLoader to indicate what metadata or sets of apps have changed.

See also: GsPluginClass.refresh_metadata_async

## Functions

### gs_plugin_job_refresh_metadata_new ()

    GsPluginJob *
    gs_plugin_job_refresh_metadata_new (guint64 cache_age_secs,
                                        GsPluginRefreshMetadataFlags flags);

Create a new GsPluginJobRefreshMetadata for refreshing metadata about available apps.

Caches will be refreshed if they are older than `cache_age_secs` .

#### Parameters

cache_age_secs | maximum allowed cache age, in seconds |
flags | flags to affect the refresh |

#### Returns

a new GsPluginJobRefreshMetadata.

[transfer full]

Since: 42

## Types and Values

### GS_TYPE_PLUGIN_JOB_REFRESH_METADATA

    #define GS_TYPE_PLUGIN_JOB_REFRESH_METADATA (gs_plugin_job_refresh_metadata_get_type ())

### GsPluginJobRefreshMetadata

    typedef struct _GsPluginJobRefreshMetadata GsPluginJobRefreshMetadata;